#!/bin/bash
STREAM_FILE=yuvs.bin
LOC=/media/internal/DCIM/$STREAM_FILE
echo "fetching yuv stream from $LOC on device, please wait"
WORKDIR=work
[ -e $WORKDIR ] && rm -rf $WORKDIR
mkdir -p $WORKDIR
pushd $WORKDIR
novacom get file:/$LOC > $STREAM_FILE
[ -e "$STREAM_FILE" ] || exit
echo "fetched $STREAM_FILE"
echo "cleaning bmp,yuv files..."
rm -f *.yuv *.bmp
echo "done"
FRAME_WIDTH=640
FRAME_HEIGHT=480
FRAME_BPP=2
FRAME_SIZE_BYTES=$((FRAME_WIDTH * FRAME_HEIGHT * FRAME_BPP))
PREFIX="yuv_"
split --suffix-length=4 -d -b $FRAME_SIZE_BYTES $STREAM_FILE $PREFIX 
[ $? == 0 ] || exit

NCONVERT=../external_bin/nconvert 
i=0
while (( 1 )) ; do
    INDEX=`printf "%04d" $i`
    F="${PREFIX}${INDEX}"
    echo F=$F
    [ -e "$F" ] || break
    $NCONVERT -size ${FRAME_WIDTH}x${FRAME_HEIGHT}+0 -in uyvyi -out bmp -o "frame_$i.bmp" $F
    if [ $? != 0 ] ; then
	echo "convertion of $F failed"
	exit
    fi
    (( i++))
done
echo "done converting $i files"
eog $PWD
popd
